<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.eclipse.org/webtools/milestonePlan.xsd" xmlns:tns="http://www.eclipse.org/webtools/milestonePlan.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.w3.org/2001/XMLSchema http://www.w3.org/2001/XMLSchema.xsd" elementFormDefault="qualified">
	<xsd:element name="plan">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="tns:component" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			</xsd:sequence>
			<xsd:attribute name="scheduleInfo" type="xsd:boolean"></xsd:attribute>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="component">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="tns:description"></xsd:element>
				<xsd:element name="milestone" minOccurs="0" maxOccurs="unbounded">
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="title" type="xsd:string"></xsd:element>
							<xsd:element ref="tns:description" minOccurs="0"></xsd:element>
							<xsd:element name="category" maxOccurs="unbounded" minOccurs="0">
								<xsd:complexType>
									<xsd:sequence>
                                       <xsd:element ref="tns:item" minOccurs="0" maxOccurs="unbounded"/>
									</xsd:sequence>
									<xsd:attribute name="name" type="xsd:string" use="required" />
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="name" type="xsd:string" use="required"></xsd:attribute>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="name" type="xsd:string" use="required" />
			<xsd:attribute name="subproject" type="tns:subprojectValue" use="required"></xsd:attribute>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="item">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="tns:description" />
				<xsd:element name="detail" type="xsd:anyType" minOccurs="0"></xsd:element>
				<xsd:element maxOccurs="unbounded" ref="tns:developer" minOccurs="0" />
				<xsd:element name="step" minOccurs="0" maxOccurs="unbounded">
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element minOccurs="0" ref="tns:description" />
							<xsd:element minOccurs="0" ref="tns:developer" maxOccurs="unbounded" />
						</xsd:sequence>
						<xsd:attribute name="start" type="xsd:integer" />
						<xsd:attribute name="length" type="xsd:integer" />
						<xsd:attribute name="status" type="tns:statusValue" />
						<xsd:attribute name="pds" type="xsd:integer"></xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="tns:bugzilla" minOccurs="0" maxOccurs="unbounded"></xsd:element>
				<xsd:element ref="tns:junit-test" minOccurs="0" maxOccurs="unbounded"></xsd:element>
				<xsd:element name="verification" type="xsd:anyType" minOccurs="0"></xsd:element>
			</xsd:sequence>
			<xsd:attribute name="status" type="tns:statusValue" />
			<xsd:attribute name="pds" type="xsd:integer"></xsd:attribute>
			<xsd:attribute name="priority" type="tns:priorityValue"></xsd:attribute>
			<xsd:attribute name="helpWanted" type="xsd:boolean"></xsd:attribute>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="developer">
		<xsd:complexType>
			<xsd:attribute name="name" type="xsd:string" use="required" />
		</xsd:complexType>
	</xsd:element>
	<xsd:element name="description"></xsd:element>
	<xsd:simpleType name="statusValue">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="in-progress"></xsd:enumeration>
			<xsd:enumeration value="done"></xsd:enumeration>
			<xsd:enumeration value="deferred"></xsd:enumeration>
			<xsd:enumeration value="time-permitted"></xsd:enumeration>
			<xsd:enumeration value="new"></xsd:enumeration>
			<xsd:enumeration value="investigate"></xsd:enumeration>
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name="priorityValue">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="low"></xsd:enumeration>
			<xsd:enumeration value="medium"></xsd:enumeration>
			<xsd:enumeration value="high"></xsd:enumeration>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="subprojectValue">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="wst"></xsd:enumeration>
			<xsd:enumeration value="jst"></xsd:enumeration>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:element name="bugzilla">
		<xsd:complexType>
			<xsd:attribute name="link" type="xsd:anyURI"></xsd:attribute>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="junit-test">
		<xsd:complexType>
			<xsd:attribute name="link" type="xsd:anyURI"></xsd:attribute>
		</xsd:complexType>
	</xsd:element>

</xsd:schema>
